# API Site XML Documentation

## Global Variables

### version-category-links

Default: `false()`

Determines whether version numbers in added/deprecated/removed notes should link to `/category/version/{verion}`.

*Note: New projects should not turn this feature on. Instead, there should be separate documentation for each version.*

### method-prefix-dot

Default: `true()`

Determines whether method names should be prefixed with a dot.



## Entries

All API entries start with an `<entry>` element. The type of entry will is expressed in the `type` attribute, and will determine the structure of the content.

Possible entry types:

* selector
* property
* event
* method
* effect
* widget

Entries have a `name` attribute, which should match the name of the selector, property, method, etc.

If multiple entries with the same name exist, the `<entry>` elements should be wrapped in an `<entries>` element.



## Version Details

TODO: @added/added deprecated removed (removed only for core)

Version details can be provided for pretty much everything:

* `<entry>`
* `<signature>`
* `<method>`
* `<event>`
* `<option>`
* `<property>`
